# -*- mode: rpm-spec; coding: utf-8 -*-
%define version 2.0
%define release alt1.a1
%define source_version 2.0a1
%define modname pyXLWriter

%setup_python_module pyXLWriter2

Summary: Python module for generating Excel97+ compatible Spreadsheets
Summary(ru_RU.UTF-8): Модуль Python для создания электронных таблиц, совместимых с Excel97+
Name: %packagename
Version: %version
Release: %release
Source: %modname-%source_version.tar.bz2
Patch: pyXLWriter-0.4a3-alt-num_format.patch
License: LGPL
Group: Development/Python
Prefix: %_prefix
URL: http://pyxlwriter.sourceforge.net/

%description
pyXLWriter is a Python library for generating Microsoft(R) Excel(TM)
compatible spreadsheets. It's a port of John McNamara's Perl
Spreadsheet::WriteExcel module. It allows writing of Excel spreadsheets
without the need for COM objects.

pyXLWriter2 is an experimental version corresponding to
Spreadsheet::WriteExcel-2.0x. This version is intended to write
spreadsheets compatible with Excel97. Such spreadsheets can contain
unicode strings, have more cell formatting options etc. They are also
compatible w/ OpenOffice.org Calc and Gnumeric w/o need of external
converters even for multilingual (e.g. Russian) documents.

This module version correspods to version 2.04 of the
Spreadsheet::WriteExcel.

As Spreadsheet::WriteExcel-2.x pyXLWriter2 is somewhat incomplete and
should be considered alpha. Most of the functions work already but 
there's no support for cell comments yet and the code noticeably slower
than code in the versions 1.x of the corresponding modules. Also not
all tests passed for pyXLWriter2 (tests themselves need an update :-))

This module is built for Python %__python_version

%description -l ru_RU.UTF-8
pyXLWriter - это библиотека Python для создания электронных таблиц,
совместимых с Microsoft(R) Excel(TM). Он является портом модуля Perl
Spreadsheet::WriteExcel, созданного Джоном МакНамарой (John McNamara).
С его помощью можно создавать таблицы Excel без помощи COM-объектов

pyXLWriter2 - это экспериментальная версия, соответствующая
Spreadsheet::WriteExcel-2.0x. Эта версия предназначена для создания таблиц,
совместимых с Excel97. Такие таблицы могут содержать строки unicode, имеют
больше возможностей для форматирования ячеек и т.п. Кроме этого, с ними
из можно использовать в OpenOffice.org Calс и Gnumeric без предварительной
конвертации даже в случае многоязычных документов (н-р, на русском).

Данная версия модуля соответствует версии 2.04 Spreadsheet::WriteExcel

Как и Spreadsheet::WriteExcel-2.x pyXLWriter2 еще не закончен и имеет
статус alpha. Большая часть функций уже работает, но еще нет поддержки
комментариев в ячейках и код заметно медленнее того, что был в версии
1.x соответствующих модулей. Кроме этого, проходят не все тесты (они
сами нуждаются в обновлении :-))

Этот модуль собран для Python-%__python_version

%prep
%setup -n %modname-%source_version
pushd pyXLWriter2
%patch -p2
popd

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc CHANGES.txt README.txt TODO.txt examples/


%changelog
* Fri Aug 27 2004 Alexey Morozov <morozov@altlinux.org> 2.0-alt1.a1
- added num_format fix patch (from CVS Head)

* Thu Aug 26 2004 Alexey Morozov <morozov@altlinux.org> 2.0-alt0.a1
- Initial build for ALT Linux (and at all :-))
